<template>
  <div>
    <onscreenConsole/>
      <div class="l-app" :class="{ '-sidebar-is-open': this.$store.state.appLayout.isSidebarOpen }"> 
      <!---state class for l-app: -sidebar-is-open-->
        <div class="l-app__canvas">
          <div class="l-app__canvas--fixed"></div>
          <div class="l-app__canvas--header"> 
          <!--for elements that push the content but not scrolling with the center content-->
          </div>
          <div ref="canvas_content" class="l-app__canvas--content">
            <topbar></topbar>
            <nuxt/>
          </div>
          <div class="l-app__canvas--footer">
          <!--for elements that push the content but not scrolling with the center content-->
          </div>
        </div><!--end of l-app__canvas-->
      <div class="l-app__sidebar" :class="{ '-is-interaction-disabled': !this.$store.state.appLayout.isSidebarOpen }">
      <Sidebar />
      </div>
      </div>
   </div>
</template>
<script>

import Topbar from '~components/topbar/_Topbar.vue'
import Sidebar from '~components/sidebar/_Sidebar.vue'
import onscreenConsole from '~components/onscreenConsole.vue'

// this.$store.dispatch('console/ADD_LOG', ('contentHeight ' + this.contentHeight))

export default {
  data () {
    return {
      contentHeight: 0,
      isSidebarOpen: false,
      hasTransition: false,
      ptrDistance: 0
    }
  },
  methods: {
    toggle () {
      this.topbarMenu.isSidebarOpen = !this.topbarMenu.isSidebarOpen
    }
  },
  components: {
    Topbar,
    Sidebar,
    onscreenConsole
  }
}

</script>

<style>
</style>
